CREATE TABLE iby_intermediary_accts (
    INTERMEDIARY_ACCT_ID        NUMBER(18, 0) ,
    BANK_ACCT_ID                NUMBER(18, 0) ,
    INTERNAL_BANK_ACCOUNT_ID    NUMBER(18, 0) ,
    COUNTRY_CODE                VARCHAR2(8)   ,
    BANK_NAME                   VARCHAR2(1440),
    CITY                        VARCHAR2(240) ,
    BANK_CODE                   VARCHAR2(120) ,
    BRANCH_NUMBER               VARCHAR2(120) ,
    BIC                         VARCHAR2(120) ,
    ACCOUNT_NUMBER              VARCHAR2(400) ,
    CHECK_DIGITS                VARCHAR2(120) ,
    IBAN                        VARCHAR2(200) ,
    COMMENTS                    VARCHAR2(960) ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID               NUMBER(18, 0) ,
    INTERMEDIARY_ACCT_ID        NUMBER(18, 0) ,
    BANK_ACCT_ID                NUMBER(18, 0) ,
    INTERNAL_BANK_ACCOUNT_ID    NUMBER(18, 0) ,
    COUNTRY_CODE                VARCHAR2(8)   ,
    BANK_NAME                   VARCHAR2(1440),
    CITY                        VARCHAR2(240) ,
    BANK_CODE                   VARCHAR2(120) ,
    BRANCH_NUMBER               VARCHAR2(120) ,
    BIC                         VARCHAR2(120) ,
    ACCOUNT_NUMBER              VARCHAR2(400) ,
    CHECK_DIGITS                VARCHAR2(120) ,
    IBAN                        VARCHAR2(200) ,
    COMMENTS                    VARCHAR2(960) ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID               NUMBER(18, 0) ,
    CONSTRAINT pk_iby_intermediary_accts PRIMARY KEY (INTERMEDIARY_ACCT_ID, INTERMEDIARY_ACCT_ID)
);
